Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 578438 - <dev-qt/qtdeclarative-5.6 - memory leak
Summary: <dev-qt/qtdeclarative-5.6 - memory leak
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: https://codereview.qt-project.org/138225
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-28 09:44 UTC by Paul Jewell
Modified: 2016-04-23 19:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to fix problem (qtdeclarative.patch,551 bytes, patch)
2016-03-28 09:44 UTC, Paul Jewell
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Jewell 2016-03-28 09:44:19 UTC
Created attachment 429134 [details, diff]
Patch to fix problem

Memory leak in qtdeclarative. Apparently fixed upstream in 5.6. Following reference from Fedora: https://bugreports.qt.io/browse/QTBUG-48799

I have successfully applied the attached patch to 5.5.1-r1.
Comment 1 Davide Pesavento gentoo-dev 2016-03-30 01:09:30 UTC
how serious is the memory leak?
Comment 2 Paul Jewell 2016-04-03 13:49:35 UTC
I was having problems with the responsiveness of Plasma, but I think that was related to the activities of the indexing daemon. The memory on my machine was being consumed, but I didn't go to the trouble of finding out the rate of loss. Once I came across the bug report in Fedora, I created the attached patch and updated my local installation of qtdeclarative.

Since installing the patch, and restricting the file indexing, I am happily using plasma-*-5.5.5 without any responsiveness or memory resource issues.
Comment 3 Davide Pesavento gentoo-dev 2016-04-23 19:23:34 UTC
5.6.0 is in tree.